Bug 959108 - (CVE-2013-2005) CVE-2013-2005 libXt: Memory corruption due to unchecked use of unchecked function pointers
CVE-2013-2005 libXt: Memory corruption due to unchecked use of unchecked func...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966822 1078035
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-03 03:39 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: libXt 1.1.4
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the X.Org X11 libXt runtime library used uninitialized pointers. A malicious X11 server could possibly use this flaw to execute arbitrary code with the privileges of the user running an X11 client.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:17:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-03 03:39:02 EDT
It was found that multiple functions in libXt, an X.Org X11 libXt runtime library, did not check for the failure of XGetWindowProperty() function to initiase certain valid window properties. This could lead to use of uninitialized pointers for reading, writing or even passing to functions such as free(), this could lead to arbitrary code execution with the privileges of the user running the X client.

      Affected functions:  ReqCleanup(), HandleSelectionEvents(),
          ReqTimedOut(), HandleNormal(), HandleSelectionReplies()
Comment 2 Jan Lieskovsky 2013-05-23 12:11:21 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 3 Huzaifa S. Sidhpurwala 2013-05-23 23:54:43 EDT
Created libXt tracking bugs for this issue

Affects: fedora-all [bug 966822]
Comment 4 Fedora Update System 2013-05-26 23:28:16 EDT
libXt-1.1.3-4.20130524git1f4802b74.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Huzaifa S. Sidhpurwala 2013-06-04 23:36:08 EDT
This issue affects the version of libXt as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 6 Huzaifa S. Sidhpurwala 2013-06-04 23:48:18 EDT
Statement:

This issue affects the libXt package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 7 Fedora Update System 2013-06-05 21:40:29 EDT
libXt-1.1.3-4.20130524git1f4802b74.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jan Lieskovsky 2013-06-17 05:57:31 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 10 Martin Prpic 2014-10-10 04:41:49 EDT
IssueDescription:

A flaw was found in the way the X.Org X11 libXt runtime library used uninitialized pointers. A malicious X11 server could possibly use this flaw to execute arbitrary code with the privileges of the user running an X11 client.
Comment 11 errata-xmlrpc 2014-10-14 01:05:25 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.